> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all digital products (including unlisted/draft) 

> Get details of all digital products with this API. This is meant to be used internally with a fermion API key only.

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 15 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-all-products-internal
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-all-products-internal:
    post:
      tags:
        - Product
      summary: 'Get all digital products (including unlisted/draft) '
      description: >-
        Get details of all digital products with this API. This is meant to be
        used internally with a fermion API key only.


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 15 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          productTitleSearchFilter:
                            type: string
                            nullable: true
                            description: Search filter to use for title of the product
                          productTagsSearchFilter:
                            type: array
                            nullable: true
                            items:
                              type: string
                            description: >-
                              Pass tag values in an array to get products back
                              with associated tags only. Tag values are case
                              sensitive
                          filterByStatus:
                            type: array
                            nullable: true
                            items:
                              type: string
                              enum:
                                - Active
                                - Draft
                                - Unlisted
                            description: >-
                              Optionally filter by product status. If provided,
                              only the product with specific status will be
                              returned.
                          filterByType:
                            type: array
                            nullable: true
                            items:
                              type: string
                              enum:
                                - DownloadableProduct
                                - Ebook
                                - FermionCourse
                                - FermionContest
                                - OneToOneInstructorCall
                                - LiveEventProduct
                                - FermionBundle
                            description: >-
                              Optionally filter by product type. If provided,
                              only the product types requested will be returned.
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                products:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      fermionDigitalProductId:
                                        type: string
                                        minLength: 1
                                        description: >-
                                          Unique identifier for the digital
                                          product
                                      type:
                                        type: string
                                        enum:
                                          - DownloadableProduct
                                          - Ebook
                                          - FermionCourse
                                          - FermionContest
                                          - OneToOneInstructorCall
                                          - LiveEventProduct
                                          - FermionBundle
                                        description: >-
                                          Type of digital product (e.g., Course,
                                          Bundle, Contest, etc.)
                                      name:
                                        type: string
                                        minLength: 1
                                        description: Display name of the digital product
                                      slug:
                                        type: string
                                        minLength: 1
                                        description: >-
                                          URL-friendly identifier used in product
                                          URLs
                                      link:
                                        type: string
                                        format: uri
                                        description: >-
                                          Full URL to the product page on your
                                          school's website
                                      thumbnailUrl:
                                        type: string
                                        format: uri
                                        description: URL of the product's thumbnail image
                                      tags:
                                        type: array
                                        items:
                                          type: string
                                        description: Tags associated with this product
                                    required:
                                      - fermionDigitalProductId
                                      - type
                                      - name
                                      - slug
                                      - link
                                      - thumbnailUrl
                                      - tags
                                  description: Array of published digital products
                              required:
                                - products
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````